at-spi2-core (2.61.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Jun 2026 17:20:04 +0200

at-spi2-core (2.60.4-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 May 2026 21:45:52 +0200

at-spi2-core (2.60.3-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Apr 2026 19:51:39 +0200

at-spi2-core (2.60.2-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Apr 2026 00:53:07 +0200

at-spi2-core (2.60.1-1) unstable; urgency=medium

  * New upstream release.
  * tests/memory, tests/tests: Check that if patch can't be applied, it's
    because it's already applied.
  * salsa-ci.yml: Add udeb check.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Apr 2026 19:47:35 +0200

at-spi2-core (2.60.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/atspi-misc: Upstreamed.
    - control: Add libxres-dev build dependency and dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Mar 2026 15:29:23 +0100

at-spi2-core (2.59.1-2) unstable; urgency=medium

  * rules: Fix finding dbus-broker-launch (Closes: Bug#1127379)
  * patches/atspi-misc: Fix standalone compilation of atspi-misc.h.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Feb 2026 19:42:08 +0100

at-spi2-core (2.59.1-1) unstable; urgency=medium

  * New upstream release.
  * libatk-adaptor.lintian-overrides: Comment override for now.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Feb 2026 13:31:28 +0100

at-spi2-core (2.59.0-1) unstable; urgency=medium

  * New upstream release.
    - rules: Fix default bus on non-linux
    - libatk-bridge2.0-0t64.symbols: Update.
  * Restore tests on loong64.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 03 Jan 2026 15:20:32 +0100

at-spi2-core (2.58.2-2) unstable; urgency=medium

  * Team upload
  * Skip build tests on loong64 for bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Dec 2025 08:53:15 -0500

at-spi2-core (2.58.2-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Nov 2025 21:40:47 +0100

at-spi2-core (2.58.1-1) unstable; urgency=medium

  * New upstream release (Closes: #911362)
  * rules: Only set dbus_broker on Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Oct 2025 21:36:42 +0200

at-spi2-core (2.58.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1111485)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Sep 2025 19:40:31 +0200

at-spi2-core (2.57.2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Only make dbus-broker the default bus on Linux.
  * control: Explicit that pyatspi needs to be upgraded to a version that is
    fine with no Atspi.Accessible.children
  * copyright: Update.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Aug 2025 10:45:04 +0200

at-spi2-core (2.57.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - control: Bump meson build-dep version accordingly.
    - control: Build-Depend on dh-sequence-python3.
    - gir1.2-atspi-2.0.install: Install Atspi gi overrides.
    - control: Make gir1.2-atspi-2.0 depend on ${python3:Depends}
    - libatk-bridge2.0-0t64.symbols: Drop droute_context_deregister symbol.
  * copyright: Update.

  [ Luca Boccassi ]
  * Drop build dependency on dbus-broker and dbus, swap with dbus-daemon with
    nocheck.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Aug 2025 09:51:41 +0200

at-spi2-core (2.56.2-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Apr 2025 19:43:47 +0200

at-spi2-core (2.56.1-2) unstable; urgency=medium

  * Rebuild on buildds.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 04:03:02 +0200

at-spi2-core (2.56.1-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Mar 2025 17:34:38 +0100

at-spi2-core (2.56.0-3) unstable; urgency=medium

  * No-change upload to build on buildd.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 20 Mar 2025 02:01:02 +0100

at-spi2-core (2.56.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Mar 2025 00:07:54 +0100

at-spi2-core (2.56.0-1) experimental; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Mar 2025 23:41:20 +0100

at-spi2-core (2.55.90-1) experimental; urgency=medium

  * New upstream release
    - Support grabbing keyboard shortcuts through the new
    org.freedesktop.a11y.KeyboardMonitor interface. This allows key grabs to be
    supported under Wayland with the latest mutter.
  * libatk-bridge2.0-0t64.lintian-overrides: Drop duplicate bogus override.
  * libatk1.0-0t64.lintian-overrides: Drop duplicate bogus override.
  * libatspi2.0-0t64.lintian-overrides: Drop duplicate bogus override.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Feb 2025 20:13:29 +0100

at-spi2-core (2.55.2-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Feb 2025 02:33:11 +0100

at-spi2-core (2.55.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1093025)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 14 Jan 2025 20:11:03 +0100

at-spi2-core (2.55.0-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release

  [ Helmut Grohne ]
  * Improve cross building: Skip documentation in arch-only build.
    (Closes: Bug#1087292)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jan 2025 01:49:07 +0100

at-spi2-core (2.54.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Remove 2 patches applied in new release

  [ Samuel Thibault ]
  * control: Tighten version dependencies between at-spi2-core packages.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:34:32 -0400

at-spi2-core (2.53.1-2) unstable; urgency=medium

  * patches/git-push-button-enum.patch: Cherry-pick fix for push button enum
    break (Closes: #1078244).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Aug 2024 23:58:39 +0200

at-spi2-core (2.53.1-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release (Closes: #998429)
  * Cherry-pick patch related to the "push button" → "button" rename

  [ Samuel Thibault ]
  * tests/*: Always unpatch on exit.
  * test build profiles

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 08:54:05 -0400

at-spi2-core (2.52.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Drop 3 patches applied in new release

  [ Samuel Thibault ]
  * d/control, rules: Revert 2.51.90-4 changes, now that architectures have
    caught up.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Mar 2024 10:11:50 -0400

at-spi2-core (2.51.90-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control, d/rules: Temporarily only use dbus-broker on 64-bit
    architectures, plus i386.
    This breaks a dependency cycle on the architectures affected by the
    64-bit time_t transition:
    at-spi2-core, dbus-broker, systemd, cryptsetup, libssh, openssh-server,
    gtk+3.0, at-spi-2-core. It can be reverted after the transition has
    finished. (Partially reopens: #998062)
  * d/control, d/rules: Temporarily skip tests on 32-bit except for i386.
    This allows at-spi2-core to be re-bootstrapped on those architectures
    during the 64-bit time_t transition. It normally has a circular
    build-dependency on an older version of itself. (Closes: #1066844)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 14 Mar 2024 11:43:19 +0100

at-spi2-core (2.51.90-3) unstable; urgency=medium

  * patches/missing-function-declaration: Fix build with qa=+bug-implicit-func.
    Closes: Bug#1066283.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 11:44:52 +0100

at-spi2-core (2.51.90-2) unstable; urgency=medium

  * control: Replace libgirepository1.0-dev build-dep with gir1.2-dbus-1.0-dev
    gir1.2-glib-2.0-dev gir1.2-gobject-2.0-dev.  Closes: Bug#1065316.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Mar 2024 02:19:20 +0100

at-spi2-core (2.51.90-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Cherry-pick patches to drop new libei dependency
  * debian/*.symbols: Add new symbols

  [ Samuel Thibault ]
  * control: Add Depends: ${gir:Depends} and Provides: ${gir:Provides}
    (Closes: Bug#1061083)
  * control: Replace pkg-config deps with pkgconf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 10:20:22 -0500

at-spi2-core (2.50.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061923

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 01:56:17 +0000

at-spi2-core (2.50.0-1) unstable; urgency=medium

  * New upstream version 2.50.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 09:55:59 -0400

at-spi2-core (2.49.91-2) unstable; urgency=medium

  * Restore workaround_tests_issue.patch: still needed for Ubuntu autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 21:16:21 -0400

at-spi2-core (2.49.91-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop CI workaround patch: hopefully no longer needed after upstream changes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 11:18:00 -0400

at-spi2-core (2.49.90-5) unstable; urgency=medium

  * Restore test-application-path.patch but only for autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 23 Aug 2023 10:34:41 -0400

at-spi2-core (2.49.90-4) unstable; urgency=medium

  * Drop 2 tests patches that are no longer required

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 23:27:34 -0400

at-spi2-core (2.49.90-3) unstable; urgency=medium

  * Restore and rebase patch to work around hanging tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 23:13:07 -0400

at-spi2-core (2.49.90-2) unstable; urgency=medium

  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el
    Mitigates: #1041499

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 15:01:51 -0400

at-spi2-core (2.49.90-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update symbols files
  * Update standards version to 4.6.2, no changes needed
  * Drop CI workaround patch: hopefully no longer needed after upstream changes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 09:53:15 -0400

at-spi2-core (2.48.3-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Jun 2023 18:20:20 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libatk1.0-0t64`.
